This is the README file for Perforce's P4Web open source project.

Note: P4Web is no longer a supported product. Custom builds of P4Web are not supported by Perforce Support.

The 2012.1 builds have been archived here in the Workshop for your convenience.

To build you will need:
    - p4-web source and build files from the Perforce Workshop
    - latest 13.3 (change 784164 or later) p4api.


The source is shipped with Visual Studio 2010 solution and project files.

1. p4 sync P4Web source from the Perforce Workshop

2  download the p4api from the Perforce ftp/website.
    http://ftp.perforce.com/perforce/r13.3/bin.<platform>/p4api.<ext for your OS> or higher 

    ie:
    http://ftp.perforce.com/perforce/r13.3/bin.linux26x86_64/p4api.tgz

Building on  Linux
--------------------------

1.  edit Makefile.linux and set the $P4APIDIR.
2.  make -f Makefile.linux


Building on Windows
--------------------

1. load the p4-web/P4Web.sln file into Visual Studio 2010.

    * if Visual Studio complains that the project file has been renamed 
      or is no longer in the solution you might have to manually correct the
      dependency GUID's in the P4Web.vcxproj file.

      Remove and Re-add the project files
      ----------------------------------------
         - Open the Solution Explorer and expand P4Web solution
         - Select P4Web project 
         - Bring up right context menu and select Remove 
         - Add the project back into the solution
            * Select P4Web Solution 
            * right context menu Add->Existing Project...
            * load P4Web.vcxproj

4. set the P4APIDIR environment variable 

    * View->Other Windows->Property Manager
    * Expand P4win->Unicode Release|Win 32
      Open up P4EnvVariables property page
      Expand Common Properties->User Macros
      set P4APIDIR to the location of the downloaded p4api

      ** alternatively you can directly edit gui/P4EnvVariables.props 
         and set the path there.

5. Set the Solution Build Configuration Properties

    View->Solution Explorer
    Select Solution 'P4Web'
    Right context menu -> Properties -> Configuration Properties
    Select the correct Project Configuration to match the p4api library
    (debug, Unicode, Release)

6.  To Build the Solution

    Right click and select 'Build Solution'

